Subject: WG last call for draft-ietf-rtgwg-policy-model

From: Chris Bowers <[email-masked]>
Date: Mon, 17 Aug 2020 16:45:57 -0500

RTGWG,

This email starts the two week WG last call for draft-ietf-rtgwg-policy-model.

Please indicate support for, or opposition to, the publication of this
document as Proposed Standard, along with the reasoning behind that support or
opposition.

Jeff Tantsura is a co-author of the document, so he won't be involved
in judging consensus.

IPR:

If you are listed as a document author or contributor, please respond to
this email stating whether or not you are aware of any relevant IPR. The
response needs to be sent to the RTGWG mailing list. The document will
not advance until a response has been received from each author and
each individual that has contributed to the document.

This WG last call will end on September 2, 2020.

Thanks,

Chris

---

From: Yingzhen Qu <[email-masked]>
Date: Mon, 17 Aug 2020 23:34:31 +0000

Speaking as a co-author, I support the publication of this document as proposed standard.

I’m not aware of relevant IPR.

Thanks,
Yingzhen

From: rtgwg <[email-masked]> on behalf of Chris Bowers <[email-masked]>
Date: Monday, August 17, 2020 at 2:50 PM
To: RTGWG <[email-masked]>, rtgwg-chairs <[email-masked]>
Subject: WG last call for draft-ietf-rtgwg-policy-model
Resent-From: <[email-masked]>

RTGWG,

opposition.

IPR:

Thanks,

Chris

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Tue, 18 Aug 2020 19:23:55 +0000

All,

As a co-author, I support publication

I am not aware of any IPR.

Thanks,
Acee

From: rtgwg <[email-masked]> on behalf of Chris Bowers <[email-masked]>
Date: Monday, August 17, 2020 at 5:49 PM
To: Routing WG <[email-masked]>, rtgwg-chairs <[email-masked]>
Subject: WG last call for draft-ietf-rtgwg-policy-model

RTGWG,

opposition.

IPR:

Thanks,

Chris

---

From: tom petch <[email-masked]>
Date: Wed, 19 Aug 2020 11:46:41 +0000

From: rtgwg <[email-masked]> on behalf of Chris Bowers <[email-masked]>
Sent: 17 August 2020 22:45

RTGWG,

<tp>
One challenge with this module is the close coupling with bgp-policy and the recent YANG Doctor review of bgp has suggested a number of change; I don't know it they will cause changes here or not but there is a risk they will.

On bgp, I think that its choice of prefix bgp is the obvious one, less so the choice of bp for bgp policy and bp: is used extensively here so a change to that, which I would like,  would have a ripple effect across this I-D.

I think that this is stable which I am less confident about with bgp so would rather see bgp progress further before giving the green light to this as it stands.

So, do not support just yet on account on bgp.

Tom Petch

IPR:

Thanks,

Chris

---

From: "Acee Lindem (acee)" <[email-masked]>
Date: Wed, 19 Aug 2020 12:03:45 +0000

Hi Tom, 

See inline. 

On 8/19/20, 7:47 AM, "rtgwg on behalf of tom petch" <[email-masked] on behalf of [email-masked]> wrote:

    RTGWG,

    <tp>

<Acee> Since the BGP policy model augments this model and not vice-versa, the required changes to the bgp-policy model should not impact this model. 

<Acee> Since this model doesn't import the BGP model, it has no impact on the YANG model other than using BGP as an example of how a protocol would augment the routing-policy model in section 7. Perhaps this should be moved to an appendix so it is clear that it is non-normative. With respect to the BGP using bp and bt as prefixes, I wouldn't mind them being expanded to "bgpp" and "bgpt" as well. However, RFC 8407 only states that prefixes should short and unique - from section 4.2:
                  
   Prefix values SHOULD be short but are also likely to be unique.
   Prefix values SHOULD NOT conflict with known modules that have been
   previously published.

<Acee> I'd hate to gate the advancement of this model on the BGP model given the number of open issues and the speed at which the BGP model authors respond to them.

Thanks,
Acee

    Tom Petch

    IPR:

    Thanks,

    Chris

    _______________________________________________
    rtgwg mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/rtgwg

---

From: tom petch <[email-masked]>
Date: Wed, 19 Aug 2020 15:16:22 +0000

From: Acee Lindem (acee) <[email-masked]>
Sent: 19 August 2020 13:03

Hi Tom,

See inline.

    RTGWG,

    <tp>

<tp>

I did say close coupling rather than YANG import:-)  The YANG prefix bp: is used 51 times in a Normative part of this I-D without explanation of what it means.  Those familiar with the BGP model will recognise it as  a prefix defined in the BGP model referring  to 51 objects in the bgp YANG model.  If any one of those 51 change in a substantive way, perhaps as a result of a  YANG doctor review to bgp model, then those references could be misleading or wrong.  As I said before, I think that those 51 references are enough to make the BGP model a Normative Reference but even as Informative, I see risks in letting this progress before BGP model is more stable..

Tom Petch

Thanks,
Acee

    Tom Petch

    IPR:

    Thanks,

    Chris